mysql> select p.first_name, p.birthday, h.address from people p inner join homes h on (p.home_id = h.id) where birthday not like 'null';
+------------+------------+----------------------------------------+
| first_name | birthday   | address                                |
+------------+------------+----------------------------------------+
| Tony       | 1973-01-23 | 36 E. Bayberry Rd.Savannah, GA 31404   |
| Eli        | 1984-01-15 | 11 Essex Dr.Farmingdale, NY 11735      |
| Paul       | 1996-05-27 | 11 Essex Dr.Farmingdale, NY 11735      |
| John       | 1998-04-07 | 920 Arlington Street Clifton, NJ 07011 |
+------------+------------+----------------------------------------+
4 rows in set, 1 warning (0.00 sec)

mysql> select p.first_name, p.birthday, h.address from people p inner join homes h on (p.home_id = h.id) where birthday not like 'null' order by month(birthday);
+------------+------------+----------------------------------------+
| first_name | birthday   | address                                |
+------------+------------+----------------------------------------+
| Tony       | 1973-01-23 | 36 E. Bayberry Rd.Savannah, GA 31404   |
| Eli        | 1984-01-15 | 11 Essex Dr.Farmingdale, NY 11735      |
| John       | 1998-04-07 | 920 Arlington Street Clifton, NJ 07011 |
| Paul       | 1996-05-27 | 11 Essex Dr.Farmingdale, NY 11735      |
+------------+------------+----------------------------------------+
4 rows in set, 1 warning (0.00 sec)

mysql> select p.first_name, p.last_name, p.mobile, p.birthday, h.address from people p inner join homes h on (p.home_id = h.id);
+------------+-----------+----------+------------+----------------------------------------+
| first_name | last_name | mobile   | birthday   | address                                |
+------------+-----------+----------+------------+----------------------------------------+
| Tony       | Smith     | 152-9854 | 1973-01-23 | 36 E. Bayberry Rd.Savannah, GA 31404   |
| Eli        | Kramer    | NULL     | 1984-01-15 | 11 Essex Dr.Farmingdale, NY 11735      |
| Paul       | Thompson  | NULL     | 1996-05-27 | 11 Essex Dr.Farmingdale, NY 11735      |
| John       | Smith     | NULL     | 1998-04-07 | 920 Arlington Street Clifton, NJ 07011 |
| Maya       | Wasserman | NULL     | NULL       | 234 High Street, PA 19159              |
+------------+-----------+----------+------------+----------------------------------------+
5 rows in set (0.00 sec)




INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
VALUES ('Howard the Duck', '110', 'Sci-Fi', '4.6', 'PG');
 Query OK, 1 row affected (0.00 sec)

 INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
 VALUES ('Lavantula', '83', 'Horror', '4.7', 'TV-14');
Query OK, 1 row affected (0.00 sec)

 INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
 VALUES ('Starship Troopers', '129', 'Sci-fi', '7.2', 'PG-13');
Query OK, 1 row affected (0.00 sec)

INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
VALUES ('Waltz with Bashir', '90', 'Documentary', '8.0', 'R');
Query OK, 1 row affected (0.00 sec)

INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
 VALUES ('Spaceballs', '96', 'Comedy', '7.1', 'PG');
Query OK, 1 row affected (0.00 sec)

 INSERT INTO movies (Title, RunTime, Genre, IMDB_Score, Rating)
 VALUES ('Monsters Inc.', '92', 'Animation', '8.1', 'G');
Query OK, 1 row affected (0.00 sec)

mysql> SELECT * FROM movies;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavantula         |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-fi      |        7.2 | PG-13  |
|  4 | Waltz with Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters Inc.     |      92 | Animation   |        8.1 | G      |
+----+-------------------+---------+-------------+------------+--------+
6 rows in set (0.00 sec)

mysql> SELECT Title, RunTime, Genre, IMDB_Score, Rating FROM movies WHERE genre LIKE 'Sci-Fi';
+-------------------+---------+--------+------------+--------+
| Title             | RunTime | Genre  | IMDB_Score | Rating |
+-------------------+---------+--------+------------+--------+
| Howard the Duck   |     110 | Sci-Fi |        4.6 | PG     |
| Starship Troopers |     129 | Sci-fi |        7.2 | PG-13  |
+-------------------+---------+--------+------------+--------+
 2 rows in set (0.00 sec)

mysql> SELECT Title, RunTime, Genre, IMDB_Score, Rating FROM movies WHERE IMDB_Score >= '6.5';
+-------------------+---------+-------------+------------+--------+
| Title             | RunTime | Genre       | IMDB_Score | Rating |
+-------------------+---------+-------------+------------+--------+
| Starship Troopers |     129 | Sci-fi      |        7.2 | PG-13  |
| Waltz with Bashir |      90 | Documentary |        8.0 | R      |
| Spaceballs        |      96 | Comedy      |        7.1 | PG     |
| Monsters Inc.     |      92 | Animation   |        8.1 | G      |
+-------------------+---------+-------------+------------+--------+
4 rows in set (0.01 sec)

mysql> SELECT Title, RunTime, Genre, IMDB_Score, Rating FROM movies WHERE Rating = 'G' OR Rating = 'PG' AND RunTime < '100';
+---------------+---------+-----------+------------+--------+
| Title         | RunTime | Genre     | IMDB_Score | Rating |
+---------------+---------+-----------+------------+--------+
| Spaceballs    |      96 | Comedy    |        7.1 | PG     |
| Monsters Inc. |      92 | Animation |        8.1 | G      |
+---------------+---------+-----------+------------+--------+
2 rows in set (0.00 sec)

mysql> SELECT AVG(RunTime), genre FROM movies WHERE IMDB_Score < '7.5' GROUP BY Genre;
+--------------+--------+
| AVG(RunTime) | genre  |
+--------------+--------+
|      96.0000 | Comedy |
|      83.0000 | Horror |
|     119.5000 | Sci-Fi |
+--------------+--------+
3 rows in set (0.00 sec)

mysql> UPDATE movies SET Rating = 'R' WHERE Title = 'Starship Troopers';
Query OK, 1 row affected (0.00 sec)
Rows matched: 1  Changed: 1  Warnings: 0

mysql>  SELECT * FROM movies;
+----+-------------------+---------+-------------+------------+--------+
| id | title             | runtime | genre       | imdb_score | rating |
+----+-------------------+---------+-------------+------------+--------+
|  1 | Howard the Duck   |     110 | Sci-Fi      |        4.6 | PG     |
|  2 | Lavantula         |      83 | Horror      |        4.7 | TV-14  |
|  3 | Starship Troopers |     129 | Sci-fi      |        7.2 | R      |
|  4 | Waltz with Bashir |      90 | Documentary |        8.0 | R      |
|  5 | Spaceballs        |      96 | Comedy      |        7.1 | PG     |
|  6 | Monsters Inc.     |      92 | Animation   |        8.1 | G      |
+----+-------------------+---------+-------------+------------+--------+
6 rows in set (0.00 sec)

mysql> SELECT id, title, rating, genre FROM movies WHERE genre = 'Horror' OR genre = 'Documentary';
+----+-------------------+--------+-------------+
| id | title             | rating | genre       |
+----+-------------------+--------+-------------+
|  2 | Lavantula         | TV-14  | Horror      |
|  4 | Waltz with Bashir | R      | Documentary |
+----+-------------------+--------+-------------+
2 rows in set (0.00 sec)

mysql>  SELECT AVG(IMDB_Score), MIN(IMDB_Score), MAX(IMDB_Score), Rating FROM movies GROUP BY Rating;
+-----------------+-----------------+-----------------+--------+
| AVG(IMDB_Score) | MIN(IMDB_Score) | MAX(IMDB_Score) | Rating |
+-----------------+-----------------+-----------------+--------+
|         8.10000 |             8.1 |             8.1 | G      |
|         5.85000 |             4.6 |             7.1 | PG     |
|         7.60000 |             7.2 |             8.0 | R      |
|         4.70000 |             4.7 |             4.7 | TV-14  |
+-----------------+-----------------+-----------------+--------+
4 rows in set (0.01 sec)

mysql>  SELECT AVG(IMDB_Score), MIN(IMDB_Score), MAX(IMDB_Score), Rating FROM movies GROUP BY Rating HAVING COUNT(*)>1;
+-----------------+-----------------+-----------------+--------+
| AVG(IMDB_Score) | MIN(IMDB_Score) | MAX(IMDB_Score) | Rating |
+-----------------+-----------------+-----------------+--------+
|         5.85000 |             4.6 |             7.1 | PG     |
|         7.60000 |             7.2 |             8.0 | R      |
+-----------------+-----------------+-----------------+--------+
2 rows in set (0.00 sec)

mysql> DELETE FROM movies WHERE Rating = 'R';
Query OK, 2 rows affected (0.01 sec)

mysql> SELECT * FROM movies;
+----+-----------------+---------+-----------+------------+--------+
| id | title           | runtime | genre     | imdb_score | rating |
+----+-----------------+---------+-----------+------------+--------+
|  1 | Howard the Duck |     110 | Sci-Fi    |        4.6 | PG     |
|  2 | Lavantula       |      83 | Horror    |        4.7 | TV-14  |
|  5 | Spaceballs      |      96 | Comedy    |        7.1 | PG     |
|  6 | Monsters Inc.   |      92 | Animation |        8.1 | G      |
+----+-----------------+---------+-----------+------------+--------+
4 rows in set (0.00 sec)